[vdr] Plugins API

abbe normal 1abenormal at gmail.com
Wed Jan 7 18:13:42 CET 2009


hello

this may help but if you have not tried it all ready... good luck

ok if you get errors about a plugin not api version then try this

cd /usr/local/src/VDR/vdr-x.x.xx/PLUGINS/src/<plugin>
sed -i -e s/VDRVERSION/APIVERSION/g Makefile
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile

On 1/5/09, lucian orasanu <o_lucian at yahoo.com> wrote:
> Hello All!
>
> I want to use an plugin for vdr, lets say x but when I tray to compile it,
> it says wrong api or old api.
> Question:
>
> 1. is ther any api specification or documentation  for vdr for plugin
> development?
> 2. or how to port old plugins to new api?
>
>
>
>
> _______________________________________________
> vdr mailing list
> vdr at linuxtv.org
> http://www.linuxtv.org/cgi-bin/mailman/listinfo/vdr
>



More information about the vdr mailing list